<?php
/***********************************
  Coppermine 1.5.x New reCAPTCHA plugin v1.0
  **********************************
  By: Joe Carver based on CPG 1.4.x version by SaWey (Sander Weyens)
  Date: 2018-03-21
***********************************/

	if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');
    global $lang_plugin_php, $CONFIG, $lang_common, $lang_pluginmgr_php, $lang_admin_php, $icon_array;	
	require_once('./plugins/recaptcha/init.inc.php');

	if (!GALLERY_ADMIN_MODE) {
		cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
	}
	
 // get sanitized POST parameters    	
    if (in_array('js/jquery.spinbutton.js', $JS['includes']) != TRUE) {
	    $JS['includes'][] = 'js/jquery.spinbutton.js';
    }
    if (in_array('plugins/recaptcha/js/admin.js', $JS['includes']) != TRUE) {
	    $JS['includes'][] = 'plugins/recaptcha/js/admin.js';
    }
// check for valid post 	
	list($timestamp, $form_token) = getFormToken();
	pageheader(sprintf($recap_lang['configure_plugin_x'], $recap_lang['display_name']));
// get sanitized POST parameters
	if ($superCage->post->keyExists('submit')) {
		//Check if the form token is valid
		if(!checkFormToken()){
			cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
		}
// Define the sanitization patterns
	$sanitization_array = array(
      'ecard_captcha' => array('type' => 'int', 'min' => '0', 'max' => '2'),
	);
// check for changes 
	$config_changes_counter = 0;
	foreach ($sanitization_array as $san_key => $san_value) {
      if (isset($CONFIG[$san_key]) == TRUE) { // only loop if config value is set --- start
          if ($san_value['type'] == 'int') { // type is integer --- start
              if ($superCage->post->getInt($san_key) <= $san_value['max'] && $superCage->post->getInt($san_key) >= $san_value['min'] && $superCage->post->getInt($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getInt($san_key);
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
				}
			} // type is integer --- end		  		  
		} // only loop if config value is set --- end
	}
	}		  

	$option_output['recapt_user'] = $CONFIG['ecard_captcha'];	

// start form page for plugin config
	$superCage = Inspekt::makeSuperCage();
	echo <<< EOT
	<form name="cpgform" id="cpgform" action="{$_SERVER['REQUEST_URI']}" method="post">
EOT;
	
	starttable('100%',  sprintf($recap_lang['configure_plugin_x'], $recap_lang['display_name']), 2, 'cpg_zebra');	
	
// reply with success to changes or no changes made
	if ($superCage->post->keyExists('submit')) {
    echo <<< EOT
	<tr>
		<td class="tableh2" colspan="2">
EOT;
    if ($config_changes_counter > 0) {
        msg_box('', $recap_lang['update_success'], '', '', 'success');
    } else {
        msg_box('', $recap_lang['no_changes'], '', '', 'validation');
    }
	echo <<< EOT
		</td>
	</tr>
EOT;
}
// complete form - needs cleaning
	echo <<< EOT
		<tr>
			<td class="tableb">
			<br /><b> {$recap_lang['page_heading']} </b>
			</td>
		</tr>
		<tr>
			<td></td>
		</tr>

		<tr>
			<td class="tableb" align="right"> <hr> {$recap_lang['user']}
			<a href="plugins/recaptcha/docs/{$documentation_file}.htm#ajax_user" class="greybox" title="{$recap_lang['user']}"><img src="images/help.gif" width="13" height="11" border="0" alt="" /></a>
			</td>			
			<td>
            <input type="text" name="ecard_captcha" id="ecard_captcha" class="textinput" size="1" maxlength="1" value="{$option_output['recapt_user']}" style="text-align:right;" /> {$recap_lang['user_number']}
			</td>
		</tr>			
		<tr>			
	       <td class="tableb" align="right"><br /><br />
			<span>
			<input type="hidden" name="form_token" value="{$form_token}" />
    		<input type="hidden" name="timestamp" value="{$timestamp}" />
			<input type="submit" name="submit" value="{$recap_lang['submit_change']}" /> 
		    </span>
		  </td>
		</tr>
		</td>		
EOT;

	// end form
	endtable();
	echo <<< EOT
	</form>
EOT;

	pagefooter();
	ob_end_flush();

?>